Get a playgroup
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
playgroups
/
{id}
Get a playgroup
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/playgroups/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/playgroups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/playgroups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"playgroup": {
"id": "<string>",
"held_at": "2023-11-07T05:31:56Z",
"support": [
{
"id": "<string>",
"name": "<string>"
}
],
"dogs": [
{
"animal_id": "<string>",
"name": "<string>",
"rating": "green",
"played_with": [
"<string>"
],
"note": "<string>"
}
],
"minutes": 300,
"place": "<string>",
"notes": "<string>",
"lead_person_id": "<string>",
"lead_name": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Get a playgroup
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/playgroups/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/playgroups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/playgroups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"playgroup": {
"id": "<string>",
"held_at": "2023-11-07T05:31:56Z",
"support": [
{
"id": "<string>",
"name": "<string>"
}
],
"dogs": [
{
"animal_id": "<string>",
"name": "<string>",
"rating": "green",
"played_with": [
"<string>"
],
"note": "<string>"
}
],
"minutes": 300,
"place": "<string>",
"notes": "<string>",
"lead_person_id": "<string>",
"lead_name": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
